<div [formGroup]="productForm" class="d-flex flex-column justify-content-between gap-4">
  <div class="input-item">
    <span>Название <sup>*</sup></span>
    <input type="text"
           class="w-100"
           placeholder="Введите название компонента"
           pInputText
           formControlName="name"/>
  </div>
  <div class="input-item">
    <span>Производитель <sup>*</sup></span>
    <p-dropdown [options]="companies"
                class="w-100"
                optionLabel="label"
                (onChange)="selectCompany($event)">
    </p-dropdown>
  </div>
  <div class="input-item">
    <span>Стоимость <sup>*</sup></span>
    <input type="text"
           class="w-100"
           placeholder="Укажите стоимость"
           pInputText
           formControlName="price"/>
  </div>
  <div class="input-item">
    <span>Описание <sup>*</sup></span>
    <textarea type="text"
              class="w-100"
              rows="4"
              placeholder="Добавьте описание компонента"
              pInputTextarea
              formControlName="description">
            </textarea>
  </div>
  <div class="input-item">
    <span>Загрузите изображение</span>
    <p-fileUpload (onSelect)="selectFile($event)"
                  class="w-100"
                  [showCancelButton] = false
                  [showUploadButton] = false>
    </p-fileUpload>
  </div>
</div>
<div class="form-caption">
  <p>* поля являются обязательными</p>
</div>
<div>
  <button type="submit"
          (click)="addProduct()"
          [disabled]="!productForm.valid"
          class="btn btn-primary w-100">
    Добавить
  </button>
</div>

